{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "listing": [
                        {
                            "entryname": "pileups.tsv",
                            "entry": "$(\n  \"sample_id\tpatient_id\tsample_class\tpileup\\n\" +\n  inputs.sample_ids.map(function(sid, i) {\n    if (inputs.sample_classes[i] == 'Tumor') {\n      var pileup = inputs.duplex_pileups[i].path;\n    } else {\n      var pileup = inputs.unfiltered_pileups[i].path;\n    }\n\n    return sid + \"\\t\" +\n      inputs.patient_ids[i] + \"\\t\" +\n      inputs.sample_classes[i] + \"\\t\" +\n      pileup;\n  }).join(\"\\n\")\n)"
                        }
                    ],
                    "class": "InitialWorkDirRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "types": [
                        {
                            "type": "record",
                            "name": "#collapsing_tools.yaml/run_tools",
                            "fields": [
                                {
                                    "name": "#collapsing_tools.yaml/run_tools/perl_5",
                                    "type": "string"
                                },
                                {
                                    "name": "#collapsing_tools.yaml/run_tools/java_7",
                                    "type": "string"
                                },
                                {
                                    "name": "#collapsing_tools.yaml/run_tools/java_8",
                                    "type": "string"
                                },
                                {
                                    "name": "#collapsing_tools.yaml/run_tools/marianas_path",
                                    "type": "string"
                                },
                                {
                                    "name": "#collapsing_tools.yaml/run_tools/bioinfo_utils",
                                    "type": "File"
                                },
                                {
                                    "name": "#collapsing_tools.yaml/run_tools/trimgalore_path",
                                    "type": "string"
                                },
                                {
                                    "name": "#collapsing_tools.yaml/run_tools/bwa_path",
                                    "type": "string"
                                },
                                {
                                    "name": "#collapsing_tools.yaml/run_tools/arrg_path",
                                    "type": "string"
                                },
                                {
                                    "name": "#collapsing_tools.yaml/run_tools/picard_path",
                                    "type": "string"
                                },
                                {
                                    "name": "#collapsing_tools.yaml/run_tools/gatk_path",
                                    "type": "string"
                                },
                                {
                                    "name": "#collapsing_tools.yaml/run_tools/abra_path",
                                    "type": "string"
                                },
                                {
                                    "name": "#collapsing_tools.yaml/run_tools/fx_path",
                                    "type": "string"
                                },
                                {
                                    "name": "#collapsing_tools.yaml/run_tools/waltz_path",
                                    "type": "string"
                                }
                            ]
                        }
                    ],
                    "class": "SchemaDefRequirement"
                }
            ],
            "arguments": [
                "$(inputs.java)",
                "-server",
                "-Xms4g",
                "-Xmx4g",
                "-cp",
                "$(inputs.bioinfo_utils)",
                "org.mskcc.juber.commands.FindHotspotsInNormals",
                "pileups.tsv",
                "$(inputs.hotspot_list)"
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#find_hotspots_in_normals.cwl/bioinfo_utils"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#find_hotspots_in_normals.cwl/duplex_pileups"
                },
                {
                    "type": "File",
                    "id": "#find_hotspots_in_normals.cwl/hotspot_list"
                },
                {
                    "type": "string",
                    "id": "#find_hotspots_in_normals.cwl/java"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#find_hotspots_in_normals.cwl/patient_ids"
                },
                {
                    "type": "#collapsing_tools.yaml/run_tools",
                    "id": "#find_hotspots_in_normals.cwl/run_tools"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#find_hotspots_in_normals.cwl/sample_classes"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#find_hotspots_in_normals.cwl/sample_ids"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#find_hotspots_in_normals.cwl/unfiltered_pileups"
                }
            ],
            "id": "#find_hotspots_in_normals.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "hotspots-in-normals.txt"
                    },
                    "id": "#find_hotspots_in_normals.cwl/hotspots_in_normals_data"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "plot_hotspots_in_normals.r",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.hotspots_in_normals_data)",
                            "writable": false
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#plot_hotspots_in_normals.cwl/hotspots_in_normals_data"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "hotspots_in_normals.pdf"
                    },
                    "id": "#plot_hotspots_in_normals.cwl/hotspots_in_normals_plot"
                }
            ],
            "id": "#plot_hotspots_in_normals.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "print_hotspots_in_normals_table_pdf",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--hotspots_table"
                    },
                    "id": "#print_hotspots_in_normals_table.cwl/table"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "hotspots_in_normals.pdf"
                    },
                    "id": "#print_hotspots_in_normals_table.cwl/hotspots_in_normals_table_pdf"
                }
            ],
            "id": "#print_hotspots_in_normals_table.cwl"
        },
        {
            "class": "Workflow",
            "doc": "Workflow to find hotspot VAFs from duplex (for Tumor sample) and unfiltered (for Normal sample) pileups.\n\nThese inputs are all required to be sorted in the same order:\n\nsample_ids\npatient_ids\nsample_classes\nunfiltered_pileups\nduplex_pileups\n",
            "requirements": [
                {
                    "types": [
                        {
                            "$import": "#collapsing_tools.yaml/run_tools"
                        }
                    ],
                    "class": "SchemaDefRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/duplex_pileups"
                },
                {
                    "type": "File",
                    "id": "#main/hotspot_list"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/patient_ids"
                },
                {
                    "type": "#collapsing_tools.yaml/run_tools",
                    "id": "#main/run_tools"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/sample_classes"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/sample_ids"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/unfiltered_pileups"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/find_hotspots_in_normals/hotspots_in_normals_data",
                    "id": "#main/hotspots_in_normals_data"
                },
                {
                    "type": "File",
                    "outputSource": "#main/plot_hotspots_in_normals/hotspots_in_normals_plot",
                    "id": "#main/hotspots_in_normals_plot"
                },
                {
                    "type": "File",
                    "outputSource": "#main/print_hotspots_in_normals_table/hotspots_in_normals_table_pdf",
                    "id": "#main/hotspots_in_normals_table_pdf"
                }
            ],
            "steps": [
                {
                    "run": "#find_hotspots_in_normals.cwl",
                    "in": [
                        {
                            "valueFrom": "$(inputs.run_tools.bioinfo_utils)",
                            "id": "#main/find_hotspots_in_normals/bioinfo_utils"
                        },
                        {
                            "source": "#main/duplex_pileups",
                            "id": "#main/find_hotspots_in_normals/duplex_pileups"
                        },
                        {
                            "source": "#main/hotspot_list",
                            "id": "#main/find_hotspots_in_normals/hotspot_list"
                        },
                        {
                            "valueFrom": "$(inputs.run_tools.java_8)",
                            "id": "#main/find_hotspots_in_normals/java"
                        },
                        {
                            "source": "#main/patient_ids",
                            "id": "#main/find_hotspots_in_normals/patient_ids"
                        },
                        {
                            "source": "#main/run_tools",
                            "id": "#main/find_hotspots_in_normals/run_tools"
                        },
                        {
                            "source": "#main/sample_classes",
                            "id": "#main/find_hotspots_in_normals/sample_classes"
                        },
                        {
                            "source": "#main/sample_ids",
                            "id": "#main/find_hotspots_in_normals/sample_ids"
                        },
                        {
                            "source": "#main/unfiltered_pileups",
                            "id": "#main/find_hotspots_in_normals/unfiltered_pileups"
                        }
                    ],
                    "out": [
                        "#main/find_hotspots_in_normals/hotspots_in_normals_data"
                    ],
                    "id": "#main/find_hotspots_in_normals"
                },
                {
                    "run": "#plot_hotspots_in_normals.cwl",
                    "in": [
                        {
                            "source": "#main/find_hotspots_in_normals/hotspots_in_normals_data",
                            "id": "#main/plot_hotspots_in_normals/hotspots_in_normals_data"
                        }
                    ],
                    "out": [
                        "#main/plot_hotspots_in_normals/hotspots_in_normals_plot"
                    ],
                    "id": "#main/plot_hotspots_in_normals"
                },
                {
                    "run": "#print_hotspots_in_normals_table.cwl",
                    "in": [
                        {
                            "source": "#main/find_hotspots_in_normals/hotspots_in_normals_data",
                            "id": "#main/print_hotspots_in_normals_table/table"
                        }
                    ],
                    "out": [
                        "#main/print_hotspots_in_normals_table/hotspots_in_normals_table_pdf"
                    ],
                    "id": "#main/print_hotspots_in_normals_table"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
